local AddonName, AddonTable = ...
local L = AddonTable.L

--AdiBags filters
local AdiBags = LibStub("AceAddon-3.0"):GetAddon("AdiBags")

local FilterAnima = AdiBags:RegisterFilter(L["Anima"], 91)
FilterAnima.uiName = L["AnimaFilter"]
FilterAnima.uiDesc = L["Put Anima in his own section."]

function FilterAnima:Filter(slotData)
    if (C_Item.IsAnimaItemByID(slotData.itemId)) then
        return L['Anima']
    end
end

local FilterConduit = AdiBags:RegisterFilter(L["Conduit"], 91)
FilterConduit.uiName = L["ConduitFilter"]
FilterConduit.uiDesc = L["Put Conduits in their own section."]

function FilterConduit:Filter(slotData)
    if (C_Item.IsItemConduit(ItemLocation:CreateFromBagAndSlot(slotData.bag,slotData.slot))) then
        return L['Conduit']
    end
end
